from django.shortcuts import render

# Create your views here.
def about(request):
    return render(request, 'about.html')



def contact(request):
  
    return render(request, 'contact.html')



def index(request):
    return render(request, 'index.html')

def termsconditions(request):
    return render(request, 'privacy_policy/termsconditions.html')

def refundcancellation(request):
    return render(request, 'privacy_policy/refundcancellation.html')

def privacy_policy(request):
    return render(request, 'privacy_policy/privacy_policys.html')

def rooms(request):
    return render(request, 'rooms.html')

def restaurant(request):
    return render(request, 'restaurant.html')



def gallery(request):
    return render(request, 'gallery.html')

def amenities(request):
    return render(request, 'amenities.html')



def custom_404(request, exception):
    return render(request, '404.html', status=404)


import logging
import requests
from django.http import JsonResponse
from django.conf import settings
from django.views.decorators.csrf import csrf_exempt

logger = logging.getLogger(__name__)

@csrf_exempt
def get_google_reviews(request):
    try:
        # Use environment variable or settings
        api_key = 'AIzaSyD__cjBG7SqKEjRjSsqC9ZbdfgJJkRgh5s'  # Replace with your actual API key
        place_id = 'ChIJBwKWnPaYBzsRT15lJMfAbdA'
        
        url = f'https://maps.googleapis.com/maps/api/place/details/json?place_id={place_id}&fields=reviews&key={api_key}'
        
        logger.info(f'Requesting Google Places API: {url}')
        
        response = requests.get(url)
        data = response.json()
        
        logger.info(f'Received response: {data}')
        
        # Detailed logging of the response structure
        if 'result' in data and 'reviews' in data['result']:
            reviews = data['result']['reviews']
            logger.info(f'Number of reviews found: {len(reviews)}')
            return JsonResponse({
                'reviews': reviews
            })
        else:
            logger.warning('No reviews found in the response')
            return JsonResponse({'error': 'No reviews found', 'data': data}, status=404)
    
    except Exception as e:
        logger.error(f'Error fetching Google reviews: {str(e)}')
        return JsonResponse({'error': str(e)}, status=500)